| helics 3.6.1

Public Member Functions | List of all members
helics::CloneOperator Class Reference

`#include <MessageOperators.hpp>`

Inheritance diagram for helics::CloneOperator:

## Public Member Functions
| CloneOperator ()=default
| CloneOperator (std::function< std::vector< std::unique_ptr< Message >>(const Message *)> userCloneFunction)
void | setCloneFunction (std::function< std::vector< std::unique_ptr< Message >>(const Message *)> userCloneFunction)
virtual bool | isMessageGenerating () const override
Public Member Functions inherited from helics::FilterOperator
| FilterOperator ()=default
virtual | ~FilterOperator ()=default
std::unique_ptr< Message > | operator() (std::unique_ptr< Message > message)

## Detailed Description

class defining an message operator that either passes the message or not

the evaluation function used should return true if the message should be allowed through false if it should be dropped

## Constructor & Destructor Documentation

## ◆ CloneOperator() [1/2]

helics::CloneOperator::CloneOperator | ( |  | ) |
| default

default constructor

## ◆ CloneOperator() [2/2]

helics::CloneOperator::CloneOperator | ( | std::function< std::vector< std::unique_ptr< Message >>(const Message *)> | userCloneFunction | ) |
| explicit

set the function to modify the data of the message in the constructor

## Member Function Documentation

## ◆ isMessageGenerating()

virtual bool helics::CloneOperator::isMessageGenerating | ( |  | ) | const
| inline override virtual

indicator if the filter Operator has the capability of generating completely new messages or redirecting messages

Reimplemented from helics::FilterOperator.

## ◆ setCloneFunction()

void helics::CloneOperator::setCloneFunction | ( | std::function< std::vector< std::unique_ptr< Message >>(const Message *)> | userCloneFunction | ) |

set the function to modify the data of the message

The documentation for this class was generated from the following files:

- MessageOperators.hpp
- MessageOperators.cpp